Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>
Copyright (C) 1995 -- 2000,    T. V. Raman  

* Emacspeak 8.0 Additions And Changes:

Emacspeak 8.0 provides the following user level enhancements:
** Playing RealAudio: emacspeak-realaudio.el

Emacspeak now provides single click access to RealAudio
streams from anywhere on the Emacspeak audio desktop.  For
details, see module emacspeak-realaudio.el Directory
realaudio in the Emacspeak source distribution contains some
Realaudio metafiles (.ram files) that you can use as a set
of sample shortcuts.

** Customizing Emacs: emacspeak-custom.el

Custom allows you to customize Emacs using a simple direct
manipulation based interface.

** Buffer specific navigation: emacspeak-imenu.el

Imenu produces a buffer-specific table of contents that
allows you to move through a buffer efficiently.

** Java Development Environment: emacspeak-jde.el

The JDE package provides an integrated development
environment for developping and debugging Java software
using Sun's JDK and associated tools.

** Browsing Software: emacspeak-speedbar.el

Speedbar provides a powerful tree-structured browser for
quickly navigating through large software modules. Speedbar
currently supports many programming languages and is fully
integrated with the JDE.

** Browsing Multiple Mail Spools: emacspeak-mspools.el

The mspools package allows you to monitor multiple
maildrops.

** Developing Python Software: emacspeak-python.el

Speech-enabled Python mode lets you develop Python code
effectively in an eyes-free environment. This is a good
example of Emacspeak's power --Python uses white-space for
block structure and would be a hard language to program in
using speech without Emacspeak.
** View mode Enhancements: emacspeak-view-mode.el

Editting keys in view mode now automatically get rebound to Emacspeak commands where it makes sense.
Thus, `l' executes command emacspeak-speak-line in view-mode.

** Emacs Frames:

Newer versions of Emacs (19.34 and 20.x) support multiple
frames on both terminals and graphical interfaces.  When
using a windowing system like X, each frame is a separate X
window. On terminals, only one frame is displayed at a time,
but you can switch among frames.

Frames in combination with Emacs' windows provides a
convenient means of leaving a document open at two different
places.  Emacspeak speech-enables all frame related
commands. In addition Emacspeak 8.0 provides a useful group
of commands for listening to the portion of the buffer
displayed in a frame other than the current frame.

*** Opening a book to two places at once:

Given a book in file book.txt, open the book as usual and
start reading.  When you reach a stage where you would like
to leave the book open where it is and look at another
portion of the same book, bring up a new frame by invoking
command make-frame-command --this displays book.txt in a
newly created frame (in addition to the existing frame).
Now move to the portion of the book that you want to read.
The previous frame continues to display book.txt at the
position where you left it.  Now while reading book.txt in
your current frame you can use Emacspeak's convenience
commands emacspeak-speak-this-buffer-previous-display and
emacspeak-speak-this-buffer-next-display to listen to the
portion that you were reading earlier.

For most situations two or at most three displays are more
than adequate-- but if you find yourself in a situation
where you need more, you can use command
emacspeak-speak-this-buffer-other-display.

*** More Sophisticated Uses

For more sophisticated uses and complex arrangements of
windows, use the above feature in conjunction with packages
like winring --see module emacspeak-winring.el

** Window Configuration Rings: emacspeak-winring.el

Emacspeak 8.0 speech-enables module winring.el for working
with multiple window configurations.
** Enhanced Audio Formatting in Enriched Mode:
emacspeak-enriched.el

Justification such as centered and right-justification are
now audio formatted when working with documents of type
Text/Enriched.  For an example, open the enriched.doc file
in the etc directory of the Emacs distribution.

** Audio Indentation Changes:

Emacspeak 8.0 introduces a user customizable  buffer-local
variable
emacspeak-audio-indentation-method that can be set to
"speak" or "tone".
Once this is set, emacspeak-toggle-audio-indentation uses
this when turning indentation on, rather than prompting you
each time

** Word Speaking changes:

Speaking a word the second time automatically spells it. In addition,
command emacspeak-speak-spell-current-word spells word under point.

** Dired Improvements: emacspeak-dired.el

Emacspeak now provides useful hotkeys in dired buffers for
speaking specific items of information such as file size.

** Tables On WWW Pages:

Starting with Emacs w3 4.0.18 Emacspeak 8.0 and W3 together
provide enhanced navigation through tables on WWW pages.
There is still a lot to be done-- but the current
enhancements make browsing sites that use tables for
multicolumn layouts a lot smoother.  Thanks to Thierry Emery
<Thierry.Emery@aar.alcatel-alsthom.fr> who helped me write
the support code for W3, and as always a big big THANK YOU
to William Perry for his outstanding work on W3.


*** TO Do:

1)  Nested tables.
2) Handle all table attributes and styles used on popular sites.

To try out this feature, open file tables.html from the
tables directory of the Emacspeak 8.0 distribution using
w3-open-local.

*** The additional commands provided in W3 mode by these enhancements are:

  w3-table-move-to-top-of-table-column
       w3-table-move-to-table-start
       w3-table-move-to-table-end
       w3-table-move-to-beginning-of-previous-table-row
       w3-table-move-to-beginning-of-next-table-row
       w3-table-speak-current-table-column
       w3-table-move-to-previous-table-row
       w3-table-move-to-next-table-row
       w3-table-move-to-previous-table-column
       w3-table-move-to-next-table-column

See the online documentation for details and keybindings.

** Browsing WWW Pages Based On Structure:

Using a W3 addon I contributed --w3-imenu.el-- Emacspeak and
W3 now let you browse the structure of WWW documents.

** Running Remote Emacspeak Sessions: emacspeak-remote.el

Enhanced Emacspeak's interface to remote speech servers by
adding the ability to guess the name of the host from which
you connect.

** Terminal Enhancements: emacspeak-eterm.el

The terminal extension now provides the ability to cut and
paste between terminals.  See commands
emacspeak-eterm-copy-region-to-register and
emacspeak-eterm-paste-register for details.

There is a minor change to the algorithm used in
Emacspeak-eterm.el in speaking the character under the
cursor inside terminal buffers within character mode.  This
now gives correct spoken feedback when filling in form
fields within full screen applications like LYNX --the only
drawback is that when using VI, moving forward a character
results in the previous character (rather than the current
character) being spoken.

** Speech-Enabled Menubar Support:

Emacs 19.29 and later provide pull-down menus.  These are
useful to get the new user exposed to the various facilities
that are available.  These pull-down menus are now fully
speech-enabled.

** Enhanced Navigation In Completion Buffers:

You can now navigate the *Completions* buffer by using the
alphanumeric keys to jump to the first completion that
starts with a particular letter.

** Comint and Completions:

Emacspeak automatically puts you in the *Completions* buffer
if hitting tab in a comint buffer e.g., when in shell-mode,
pops up multiple choices.

** Emacspeak Clipboard:

Emacspeak now provides a simple clipboard for exchanging
information between different Emacspeak sessions. This is
very useful if you run simultaneous Emacspeak sessions on
different hosts on the same network.  See commands
emacspeak-clipboard-copy and emacspeak-clipboard-paste for
details.

** Cycling through marks in a buffer:

Emacs has always provided the means to cycle through the
marks in a given buffer.  However, I have found these a bit
inconvenient in the past. Emacspeak introduces two new
commands --emacspeak-mark-forward-mark and
emacspeak-mark-backward-mark that allow you to move in
either direction through the mark ring.

** Emacspeak Resources:

The Emacspeak pronunciation dictionary --along with other
resources used by Emacspeak (such as the Emacspeak
clipboard)-- are now stored in directory $HOME/.emacspeak

** Emacspeak Finder:

All Emacspeak packages are now registered with the Emacs
Finder.
Use C-h p within Emacs to get an overview of all available packages.
** Viewing News And Package Summaries:

***  emacspeak-view-emacspeak-news  displays the latest
Emacspeak News.

*** emacspeak-view-emacspeak-doc displays automatically
generated documentation on all Emacspeak commands.

*** Emacs' finder-by-keyword (C-h p) 
includes summaries of all emacspeak packages.

** Spoken Messages:

Spoken messages, e.g., appointments now pause ongoing speech
rather than stopping it --suggested by Greg Priest Dorman

* Emacspeak Developments:

** Windows NT:

 Emacspeak 8.0 works on Windows NT using an as yet
unreleased speech server. I will announce availability of
this server when I am ready to release it.

** Emacs 19 Support:

Note that new modules in Emacspeak will not be supported on
Emacs 19. Many of these may work, but if they dont, that's
just too bad-- you should upgrade to Emacs 20.

** MBROLA:

Bart Bunting and I have put together a preliminary Emacspeak
speech server for the MBROLA speech synthesis system.  This
is not yet ready for production use mostly because MBROLA
still has problems --see file mbrola.txt in the Emacspeak
distribution. An experimental copy of this server is
included in this release; however it is an experimental
release and you should use it at this time only if you are
in a position to contribute improvements. Please do not send
 any bug reports related to MBROLA support.

Bart Bunting is continuing to work on this, and you can find
his latest version at
ftp://ftp.progsoc.uts.edu.au/users/bart/mbrola_server/mbrola_server.tgz
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>
Copyright (C) 1995 -- 2000,    T. V. Raman  

* Emacspeak 9.0 Additions And Changes:

Emacspeak 9.0 provides the following user level
enhancements:

* * FAQ List:

The Emacspeak distribution now comes with an FAQ list --you
can view this from within Emacspeak by pressing C-e F bound
to command emacspeak-view-emacspeak-faq.
** emacspeak-speak-line now asks for confirmation 
before speaking extremely long lines. This is to avoid
accidentally stumbling 
on a binary file and causing the speech system untold pain.

**  Speech-enables supercite: emacspeak-supercite.el

Emacspeak now speech-enables the supercite package
--this helps in creating meaningful citations when
participating in email conversations.

** Speech enables sql-mode: emacspeak-sql.el

Emacspeak 9.0 speech-enables SQL mode to enable fluent
database interaction.

** Speech support for Emacs 20.3 enhancements:

Note: Make sure to run Emacs 20.3 in unibyte mode--
set your environment variable EMACS_UNIBYTE *before*
starting Emacs


*** Speech-enables package net-utils

This package is used to access
network diagnostic utilities.

*** Speech-enables package find-func

This package is used to locate Emacs
    source code.

*** Speech-enables the new flyspell package 

This package  allows on-the-fly spell checking.

*** Speech-enables CPerl

This is an enhanced perl mode.

*** Hyperlink navigation in Emacs help buffers.

*** Speech-enables new register commands.

** PSGML Support:

Emacspeak now speech enables PSGML --a powerful SGML support
package. This allows for creating and maintaining structured
XML content.


** File operation utilities

You can now copy or link the file visited in the current
buffer with a single keystroke-- this is especially
convenient when editting local files before publishing them
to the WWW.

Commands:

*** emacspeak-copy-current-file 
Copies current document to specified location

*** emacspeak-link-current-file

Hard links current document to specified location

*** emacspeak-symlink-current-file

Symlink current document to a specified location.

All these commands remember the most recently  
used target location.


Local variables: mode: outline paragraph-separate: "[ ]*$"
end:

Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>
Copyright (C) 1995 -- 2000,    T. V. Raman  

* Emacspeak 10.0 Additions And Changes:

Emacspeak 10.0 provides the following user level enhancements:

* Single click Websearch:   emacspeak-websearch.el

Module emacspeak-websearch provides single click WWW search
functionality from anywhere on the Emacspeak audio desktop
--see command emacspeak-websearch-dispatch bound to C-e ?.

At present you can  search the following WWW collections:


** AltaVista        AltaVista Simple Search
** BBC              BBC News Archives
** CNN              CNN Interactive
** dejanews         Usenet Archives At Dejanews
** Encyclopedia     Encyclopedia Brittanica
** Dictionary       Hypertext Webster Dictionary
** Google           The Google WWW Index
** Hotbot           The HotBot WWW Index
** Inference        The Inference WWW Search 
   ** Map           Driving directions from Yahoo
   ** Merriam       Merriam Webster Dictionary
** news-yahoo       News Wire at Yahoo
** RFB              RFB&D Online Catalog
** usenet-altavista Usenet Index At AltaVista
**Weather           Weather Channel  By Zip Code
** W3C              Search W3C Site
** yahoo            Master Yahoo Index

* Search Emacspeak Mail Archives:

You can search the Emacspeak mail archives 
using command emacspeak-websearch-emacspeak-archive
bound to key C-h e


* Tabulating shell command output:

There is a new user level command to automatically run shell
level utilities  like vmstat and view the results as a
navigable table --see command 
emacspeak-speak-run-shell-command.

* DOM-based WWW Page Navigation:
There are two new commands for navigating WWW pages based on
the underlying Document Object Model (DOM).
Commands emacspeak-w3-next-doc-element and
emacspeak-w3-previous-doc-element
bound to `n' and `p' respectively move through the displayed
page. Note that W3 does not yet implement a full DOM
interface, and this navigation is therefore still evolving.

* Enhanced table browsing in W3:

In conjunction with the latest release of W3, Emacspeak now
provides even better table interaction.
You can now listen to contents on a given cell
--alternatively,  you can turn the current cell into a
stand-alone WWW page by using command 
w3-table-focus-on-this-cell.

* Document navigation in W3

There is a new experimental feature in emacspeak-w3
that allows you to move through the document elements on a
page.
Use commands emacspeak-w3-next-doc-element
and emacspeak-w3-previous-doc-element
bound to "n" and "p" in w3 mode.

* Enhanced Forms-mode Support:  emacspeak-forms.el

The forms-mode support has been significantly enhanced.
The Emacspeak source distribution now comes with some
samples in directory forms:

**forms/messages.el   Browse /var/adm/messages

** forms/apache-clf.el       Browse Apache log files in CLF
   format.

* Ability to filter lines:

There is a new user level command that allows you to
selectively filtter out portions of a line --see command
emacspeak-speak-line-set-column-filter.

* Monitoring Processes 
There is a new user option in comint mode buffers 
emacspeak-comint-output-monitor --set with command
emacspeak-toggle-comint-output-monitor 
--when turned on output in comint buffers will be
automatically spoken even if the comint buffer is not the
current buffer.
This is useful in conjunction with
emacspeak-toggle-comint-autospeak  in tracking process
activity.
For instance,  here is one sample usage:
have a shell buffer display a log file using tail -f 
e.g. /var/adm/messages or your apache server logs.
Turn on comint-autospeak and comint-monitor-output
in this buffer. Now, as you work in other buffers, output to
the comint buffer displaying the running log will be spoken
automatically.

* Loading Directory Specific Emacspeak Settings:

You can now store directory specific Emacspeak settings in a
file called .espeak.el
--modes like View-mode automatically load these settings
when you visit a file in that directory.
This is most useful for loading Emacspeak settings that are
specific to a particular electronic book.


* Dired Mode Enhancements:

** When you have a directory entry repeated via command
   emacspeak-speak-word, it is automatically spelt.
Thus, simply use C-e w while moving through directory
   listings to have the current entry spelt out.

* C Mode Enhancements:

** Dictionaries are automatically turned on in C mode and friends.

* Man-mode Changes:

You can have the current section spoken via keystroke M-spc
--see command 
emacspeak-man-speak-this-section.

* Outline Mode Enhancements:

Added user option
emacspeak-outline-dont-query-before-speaking to control if
commands emacspeak-outline-speak-previous-heading and
emacspeak-outline-speak-next-heading ask for confirmation.


  

Local variables: mode: outline paragraph-separate: "[ ]*$"
end:

Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>
Copyright (C) 1995 -- 2000,    T. V. Raman  

* Emacspeak 11.0 Additions And Changes:

Emacspeak 11.0 provides the following user level enhancements:

*Software speech synthesis:

**Emacspeak now supports the IBM ViaVoice Outloud 
Beta for Linux. See file linux-outloud/NOTES
for installation instructions and usage notes.

* Enhancements to single click Websearch:   emacspeak-websearch.el

Module emacspeak-websearch provides single click WWW search
functionality from anywhere on the Emacspeak audio desktop.
This release adds support for a few more popular search
engines --see command emacspeak-websearch-dispatch bound to
`C-e ?'.





* Dired Mode Enhancements:

**  Command emacspeak-dired-speak-file-size  speaks the size
    of a directory when invoked on a directory line.

** Command emacspeak-dired-show-file-type 
(bound to "'") displays the type of the current file.
   
* Enhancements to PSGML mode:

** Emacspeak now provides simple voice locking for SGML and
   XML documents.  

*Enhancements to emacspeak-sounds.el:

**Added support for midi icons.  If you have a functioning
/dev/sequencer, you can have emacspeak produce auditory
icons using midi synthesis instead of playing wave files.
Note You need to obtain and install package stdiosynth from
http://www.leb.net/pub/blinux/emacspeak/blinux/stdiom.tar.gz

the documentation in file emacspeak-sounds.el

* Speech-enabled support for midge-mode:
Midge is a perl utility for composing and playing midi
files.
Midge-mode is a major mode for editting midge files.

*Single click CD player:

** Emacspeak provides  single click access 
to playing audio CDs --see command  `cd-tool'
bound by default to `C-e DEL'.
This allows you to play, stop or skip tracks on the CD.
If you have package  cdda2wav installed, you can also play
or save selected clips from a CD.

*Single click access to the sound mixer:

**You can set various characteristics of the sound device
  via command `emacspeak-aumix' bound to "C-e(".

*Speech-enabled MPG player:

**Emacspeak now speech-enables mpg123.el --an emacs
  front-end to the popular mpg123 MP3 player.

*Speech-enabled reftex mode:

**Allows you to browse structured TeX and LaTeX source
  documents.

*Speech-enabled BabelFish:

**Module emacspeak-babel.el speech-enables an Emacs
  interface to Babel-Fish 
--use this to get documents translated via the Internet.

*Speech-enabled RPM support:
**Speech-enabled support for browsing the various packages
installed on a Linux system.

* GnuPlot: Speech-enabled gnuplot mode

Emacspeak now speech-enables gnuplot-mode --an Emacs
interface to the gnuplot plotting utility.


Local variables: mode: outline paragraph-separate: "[ ]*$"
end:

Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>
Copyright (C) 1995 -- 2000,    T. V. Raman  

* Emacspeak 12.0 Additions And Changes:

Emacspeak 12.0 provides the following user level enhancements:


* Enhancements to single click Websearch:   emacspeak-websearch.el

Module emacspeak-websearch provides single click WWW search
functionality from anywhere on the Emacspeak audio desktop.
This release adds support for a few more popular search
engines --see command emacspeak-websearch-dispatch bound to
`C-e ?'.

This version also takes the first step toward a
speech-enabled semantic WWW by retrieving and presenting
structured data where available --rather than presentational
HTML pages. For an example, see the historical stock data
retrieval utilities that come with emacspeak-websearch.


* Speech-enabled CVS access via package pcl-cvs 

* Speech-enabled JDEbug  

* Speech-enabled instant messenger via package TNT 

* RealAudio:

** Structured  hierarchy of realaudio shortcuts 

** Support for browsing realaudio metafiles 

** Support for  commencing play at a specific time stamp in
   

*  Changes relevant to developpers:

** Plugin mechanism for  contributed TTS servers:

File servers/.servers in the emacspeak directory lists
available TTS serves.
Emacspeak consults this file upon startup to 
decide what TTS servers are available at a given
installation. 
Authors of contributed servers are advised to add the name
of their server to this file at install time.


** Code has been reorganized into  sub-directories.

** SourceForge:

 Code is now checked into CVS at sourceforge 
and is available for anonymous cvs access.


Local variables: mode: outline paragraph-separate: "[ ]*$"
end:

Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 13.0 Additions And Changes:

Emacspeak 13.0 provides the following user level enhancements:

* Graphical Desktop Environments:


** Sawfish:
Added subdirectory `sawfish' containing a tts.jl module for
interfacing sawfish to the Emacspeak speech servers.
Directory sawfish also contains my personal sawfishrc file
as an example of how to load and use this package.
When set up, this speech-enables the sawfish window manager.


** emacspeak-Sawfish:
Speech-enables interaction with the sawfish window manager.

* Emacspeak Logo:

Emacspeak now has a visual and auditory logo.

** Visual: A 

picture of Hubbell --Yellow Labrador-- with a bubble coming
out of her mouth saying "Complete Audio Desktop" and the
caption "EMACSPEAK" under her picture; thanks to Hans
Zoebelein for the visual design.  This logo is used on the
Emacspeak WWW site, and is available as an XPM file in the
emacspeak/etc directory for use on graphical desktops.

** Auditory Logo:

Emacspeak.mp3 is a 4 second   MP3 file containing the first
few bars of Bach's Toccata And fugue.
The auditory logo is played as Emacspeak starts up.

* New Emacspeak Features:

** Sound Themes:
 In addition to the default 8k  auditory icons, you can now
 install alternative sound themes. Sound themes will be
 distributed separate  from the main emacspeak distribution.

** Streaming Media:
Added support for navigating media streams using TRPlayer.
TRPlayer navigation commands can now be used with
Emacspeak's default 'C-e ;' keybinding.

**freeamp:
emacspeak-freeamp provides a simple interface to the Freeamp
MP3 player.

** MP3 Playlists:
Added command  emacspeak-mp3-play-playlist  to play MP3 playlists.

** Setting auditory display: 
Added single keystroke commands  to adjust global output
volume of the auditory display.

** Browsing XML:
Module emacspeak-psgml defines a simple enhancement  to 
xml-mode to allow single keystroke browsing of XML
documents.


**  Desktop Calculator:
Speech-enabled calculator.el --a simple desktop calculator
that will be bundled with Emacs 21.0.

** Enhanced table browsing:
Added support for sorting tables etc.

** Dictation:
Speech-enables  dictation.el  --an Emacs interface to
ViaVoice for allowing voice dictation within Emacs.

** Buffer Navigation:
Speech-enables package BS --an alternative to buff-menu bundled
with  Emacs 21.

** Generic Modes:
Speech-enables package Generic so that modes defined using
generic.el are automatically speech-enabled.
This provides voice locking support for several new major
modes including javascript-generic-mode, apache-generic-mode and friends.

** Shell Scripts:
Speech-enables module sh-script to provide 
voice lock support for editting shell scripts.

** JDE and JDEBug:
Fully speech-enables all JDEBug  features.

** CVS Access:
Speech-enables CVS access.

** XML And SGML:
Enhanced to cover all aspects of  SGML and XML document
authoring.

** DTD Creation:
Speech-enables package tdtd to enable creation and
maintainance of XML and SGML DTDs.

** XSL IDE:
Speech-enables package xslide to provide  a powerful XSL
authoring environment.
** ibuffer:
Speech-enables ibuffer --an alternative to buffer-menu.


** WebSearch:
Added support for additional search engines.



Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:

Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 14.0 Additions And Changes:

Emacspeak 14.0 provides the following user level enhancements:

* New Emacspeak Features:

** XML Authoring Using XAE

XAE is an XML authoring environment  put together by the
author of JDE.

** Form-based Editting Of Audtory Display Settings

Personal audio mixer settings can be  modified using a forms-based
user interface.


** Semantic Support Within JDE

Uses knowledge computed by the semantic package in better
speech-enabling JDE.

** URL Templates 

Module emacspeak-url-template provides a programmable hot
list mechanism.

** Filtering Text

Allows text to be progressively refined.


** Overlaying Grids On Tabulated Information

Grid overlays allow one to quickly skim selected portions of
every line in the buffer or given region of text.
The result of overlaying the grid is presented in
emacspeak's table browsing mode.
This is useful in working with log files.

** Speech-enables EShell

EShel is a complete shell implemented in Emacs Lisp.
Emacspeak speech-enables eshell to provide a powerful
integrated shell.

** Table Browsing:

Enhancement to how tables are handled. 
Additional features include sorting data
   on a specific column.

** Customizations To Auditory Display

Provides customization options for use with sound cards that
 provide multiple channels of output.

** Emacs 21 Support:

Supports many  new Emacs 21 packages.

** Dictionary Server:

Speech-enables interaction with dictionary servers.

** Speech-enables ERC:

ERC is a relatively modern Emacs IRC client.
This version of emacspeak speech-enables most of this
package.

** Convenience Commands:


*** Convenience Command emacspeak-cvs-get-anonymous 

Command emacspeak-cvs-get-anonymous bound to c-e c-down 
can be used to retrieve a snapshot of the latest Emacspeak
sources from Sourceforge.
This will retrieve the source code into the users home
directory 
under ~/cvs-emacspeak.

*** Convenience command emacspeak-root

Convenience command emacspeak-root bound to C-e C-r
launches a root shell or switches to one if it already
exists.
Command emacspeak-eterm-remote-term bound to C-e C-r in
earlier versions is now on 
C-e M-C-r


Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:

Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 15.0 Additions And Changes:

Emacspeak 15.0 provides the following user level enhancements:

* Documentation:

** Online Manual:

*** New Chapter: Emacspeak Commands

The online info manual has a new chapter documenting all
 emacspeak commands. It is organized into sections, one per
Emacspeak source module.


*** Online HTML Version:

An HTML version of the Emacspeak manual produced by
texi2html is now available as 
http://emacspeak.sf.net/info/

** Productivity Tips:

A new document giving productivity tips for using the
Emacspeak desktop is available 
as file etc/tips.html in the Emacspeak source distribution,
and online as http://emacspeak.sf.net/tips.html.
The source files used to create tips.html is available as
tips.xml in the Emacspeak CVS repository.

** User Guide:

There is a new Emacspeak user guide, thanks to Jennifer
Jobbst of the IBM Linux Technology Center.
The user guide is available online at 
http://emacspeak.sf.net/user-guide and is also bundled with
the emacspeak sources in directory emacspeak/user-guide.
The user-guide files are also placed in the /usr/share/docs
directory by the Emacspeak RPM.

** Speech-enabled Applications List:

http://emacspeak.sf.net/applications.html gives a full list
of speech-enabled applications available on the Emacspeak
audio desktop.

** Doc Links in Customization Buffer:

The *Customizations* buffer created when
 customizing group `emacspeak'  contains hyperlinks to
available documentation and support resources.

* New Emacspeak Features:


** OCR Front-End:

Module emacspeak-ocr provides a convenient to use OCR
front-end for document scanning.
Uses SANE for image acquisition and can be configured to use
any available OCR engine.

** Productivity Tips:

Command emacspeak-view-emacspeak-tips bound to C-e cap T
brings up a productivity tips document.


** Speedch-enabled ECB:

ECB --Emacs Class Browser-- provides a powerful class
browser 
for aiding in software development using a variety of
languages including Java and Emacs Lisp.

** Semantic Support Within JDE

Uses knowledge computed by the semantic package in better
speech-enabling JDE.

** Speech-enabled browse-kill-ring

Module browse-kill-ring is speech-enabled.


** Easy Customization:

Most of Emacspeak user options are now available through
Emacs' customization interface --see command 
emacspeak-customize bound to C-e cap C

** Enhanced widget support:

The speech-enabler for Emacs widgets has been completely
overhauled.
This results in better speech-enabling of packages like
custom and JDE.

** URL Templates 


New URL templates for Sourceforge, DDJ TechNetCast etc.

** Websearch:

*** Single click access to speech-enabled Google advanced search.

*** Browsing Usenet archives from Google --command C-e cap U

*** Speech-enabled Usenet search from Google.

** Speech-enables ERC:

Enhanced with room monitors and the ability to hear things
said by specific people.

**Speech-enables ansi-color.el

Module ansi-color (bundled with Emacs 21)
colorizes process output according to ansi escape
sequences. Emacspeak 
maps these colors to appropriate ACSS style settings to
provide audio formatted output.

** Speech-enables MetaPost Mode:

metapost mode helps authoring and maintaining metapost
drawings.

** Transient mark mode:

Emacspeak  now works with transient mark mode.

** W3 and XSLT:

Emacspeak-w3 now provides the ability to apply an XSLT
transformation to HTML content before it is displayed.  You
can use this to simplify ugly HTML and leverage W3's ability
to render standard HTML.  This feature is also useful in
working with pages that use deeply nested tables.  See
directory emacspeak/xsl for some ideas on what XSLT can do.

Also, see command  emacspeak-w3-extract-table 
that uses this mechanism to extract a specific table out of
a WWW page.

You will need to install libxslt to use this feature.
See commands emacspeak-w3-xsl-toggle and
emacspeak-w3-xslt-select for details on how to use this
feature.

** Convenience Commands:

All Emacspeak convenience commands have been moved to module
emacspeak-wizards.

*** Annotation Tool:

emacspeak-annotate is a tool that lets you comments in a
designated annotation buffer as you work through a document.
I typically use this to collect comments into an email draft
while reading long documents --see command
emacspeak-annotate-add-annotation for details.




*** Simple phone book:

See command  emacspeak-speak-telephone-directory for a
simple phone book.

*** W3 url rewrite wizard:

There is a new command emacspeak-w3-url-rewrite-and-follow
bound to "y" in W3 buffers. This is useful in applying a URL
rewrite rule to the link under point before opening it.
This is most useful in jumping directly to printer friendly
versions of articles at popular sites like Yahoo and CNN.

*** Midi Icons:

Command emacspeak-toggle-midi-icons has been nuked.
In its place, key C-e M-a runs command 
emacspeak-set-auditory-icon-player which can be used to
interactively select the kind of auditory icons used.

** Key Bindings:

*** Personal keys:

 There is a new keymap emacspeak-personal-keymap
for user's personal keybindings --and available through
prefix key C-e x
To bind a command you would write 
(define-key emacspeak-personal-keymap "a"
'emacspeak-speak-other-window)
Alternatively, use the customize interface and customize
variable
emacspeak-personal-keys.

To accomodate this change, command emacspeak-view-register
is moved to C-e v
and command emacspeak-speak-version is moved to C-e V

** Viavoice Outloud:

The Viavoice Outloud server is now configured so that you
only need install the ViaVoice TTS RTK (Run Time Toolkit).
Note that you will need the Viavoice TTS SDK if you plan to
recompile the Emacspeak Viavoice Outloud server or build
other ViaVoice TTS applications.

**Emacs 21:

Emacspeak 15 works cleanly with Emacs 21's new features.
However, note that there are serious problems running W3
both the pre-release 4.0.46 as well as the CVS version of W3
under Emacs 21.  

CVS version of W3:

0) Aural CSS is broken
1) Tables are broken
2) There is a W3 timer bug that causes page download to take a lot longer


Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 16.0 Additions And Changes:

Emacspeak 16.0 provides the following user level enhancements:

* New Emacspeak Features:
** emacspeak-daisy: Digital Talking Book Reader

Module emacspeak-daisy.el implements a browser for working with
Digital Audio Books conforming to the Daisy3 specification --invoked
by command emacspeak-daisy-open-book.


** Speech-enables W3M

W3M is an alternative to using Emacs W3.

** IMCom for Jabber:

Module emacspeak-imcom provides a speech-enabled wrapper for
Jabber client IMCom.

** XML Shell:

Module emacspeak-xml-shell implements an XML Shell for walking
 XML trees interactively.

** emacspeak-analog.el: Log Analyzer

Speech-enables package analog --a convenient means for viewing
multiple log files.

** eperiodic: Periodic Table Of Eleements 

Speech-enables a simple periodic table of elements.


** Pronunciation Dictionaries

New Command to interactively edit Emacspeak pronunciation
dictionaries.

** Tools:

*** Wizards for Viewing XL and PowerPoint Files:


Install package xlhtml http://www.xlhtml.org --this provides
convertors xlhtml and ppthtml that convert .xls and .ppt
files to HTML.  If installed, Emacspeak can use this tool to
preview .xls and .ppt files using W3 when a .xls or .ppt
file is opened in emacs.

*** emacspeak-wizards-shell-toggle:

Switches to shell buffer and automatically changes directory
to the default directory of the previously current buffer.



*** Shell mode mode-line format:

Speak directory as part of the mode-line.

** stereo-outloud:

New speech server stereo-outloud implements a speech server
for ViaVoice TTS using in-memory synthesis.


Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 17.0 Additions And Changes:

Emacspeak 17.0 provides the following user level enhancements:

* New Emacspeak Features:

** Enhanced Emacs 21 support:

I have now switched to Emacs 21 on all my machines.

** emacspeak-w3.el:

Magic Lens: XSLT Based magic lens for selectively browsing content.


** emacspeak-websearch.el: 

Websearch now handles asynchronous searches.

** emacspeak-url-template.el:

Additional productivity web templates.

** emacspeak-wizards.el:

New productivity wizards.

** Software Dectalk:

There is a new speech server for the Software Dectalk TTS engine.
Software Dectalk TTS is sold commercially by Fonix Inc.



** emacspeak-rpm-spec.el: 

Speech-enable rpm spec editor.


** emacspeak-m-player.el:

New module  for easy access to media player mplayer.


** emacspeak-reftex.el:

Enhanced reftex support.

** emacspeak-pronounce.el:

Added customizable dictionary
emacspeak-pronounce-internet-smileys-pronunciations
for holding Internet smileys.
This dictionary is used by all  messaging tools including mail and
instant messaging tools.


Added custom dictionary
emacspeak-pronounce-common-xml-namespace-uri-pronunciations
that can be customized to hold common XML namespace URIs along with
their pronunciation.
This is used in XML and HTML modes.

** emacspeak-ecb.el:

Enhanced ECB support.


Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 18.0 Additions And Changes:

Emacspeak 18.0 provides the following user level enhancements:

* New Emacspeak Features:

** emacspeak-rss.el --Browsing RSS feeds.

Command emacspeak-rss-browse allows you to browse RSS feeds of your
choice.
** emacspeak-wizards:

Many new productivity wizards.

** Viewing Virtual Consoles:

Wizard emacspeak-wizards-vc-viewer implements a VC viewer for Linux.
Allows you to view VCs on the Linux console, including the VC that
Emacspeak itself is running on.

** voice-setup.el

New voice lock engine.


** emacspeak-desktop.el

Speech-enables the desktop package.


Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 19.0 Additions And Changes:

Emacspeak 19.0 provides the following user level enhancements:

* New Emacspeak Features:

** emacspeak-newsticker.el:

Speech-enables package newsticker, a native Emacs RSS  agent.


** emacspeak-nxml.el:

Speech-enables James Clark's nxml-mode --- a powerful  XML editing mode.


** emacspeak-ocr.el:

etc/ocr-client.pl implements the Emacspeak OCR interface 
for OCRXTR from Vividata.

** emacspeak-eperiodic.el

Extended to speech-enable new functionality in eperiodic.


** emacspeak-wizards.el:

New productivity wizards.

** emacspeak-websearch.el:

Updated websearch templates.

** emacspeak-url-template.el:

Additional smart URL templates.

** emacspeak-daisy.el:

Updated to handle the bookshare variant of Daisy3 files.

** flite-voices.el:

Place-holder for eventual FLite support.

** emacspeak-kmacro.el:

Speech-enables kmacro --- a new keyboard macro package.

** world clock:
Command  emacspeak-speak-time implements a world clock when
called                                 with an interactive
prefix                                 arg (C-u).
When called with two prefix args i.e. C-u twice, it sets the
timezone                                 as well --- useful for
international                                 travel.

** Browsing buffers:
Command emacspeak-speak-browse-buffer now browses by personality
chunks rather than by paragraphs.
The older functionality of browsing by paragraphs is still
accessible through emacspeak-speak-continuously 

**emacspeak-sigbegone.el

Speech-enables sigbegone --- a package for  recognizing email
signatures.


** emacspeak-ediary.el:

Speech-enables ediary --- a special mode for working with the
.diary file.


** emacspeak-damlite.el:
Speech-enables damlite-mode --- a special mode for creating and
maintaining  DAML ontologies using RDF.

** emacspeak-pronounce:

User defined pronunciations have been augmented.
Pronunciations can now be specified either as a string,
or in more complex situations as a cons (matcher . pronouncer).
For examples of use, see emacspeak-vm.el
which uses this feature to define an appropriate pronunciation
rule for ISO DateTime values.

** TTS Support:

TTS specific code is now restricted in modules of the form
<synth-name>-voices.el.
Support for additional  TTS engines 
should be modeled on the code in dectalk-voices.el and outloud-voices.el


Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 20.0 Additions And Changes:

Emacspeak 20.0 provides the following user level enhancements:

* user Visible Changes:

** emacspeak-ecb.el:

Enhanced support for ECB within and outside X Windows.

** emacspeak-jde.el

Speech-enables code browsing and following cross-references.

** emacspeak-wizards.el:

Additional wizrds.

** emacspeak-websearch.el

 Additional search tools.

** emacspeak-url-template.el

 New URL templates.

** emacspeak-w3.el:

 Enhanced XSLT support.
Added new custom options.

** emacspeak-iswitchb.el

Speech-enables iswitchb.el

** emacspeak-ido.el

Speech-enables ido.el

** emacspeak-m-player.el

MPlayer output is handled using comint features.

** emacspeak-daisy.el:

Added outline and bookmark support.

** emacspeak-gud.el:

Speech-enables the new full screen GDB interface under Emacs
(emacs 21.3.50)

** emacspeak-re-builder.el:

Speech-enables re-builder.

** Console keymaps:

The CVS repository has been updated with keymap files
that configure ALT Super and Hyper modifier  keys.

** emacspeak-keymap.el:

Custom settings for binding commands to the ALT Hyper and Super
keymaps.



Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@cs.cornell.edu>

* Emacspeak 21.0 Additions And Changes:

Emacspeak 21.0 provides the following user level enhancements:

* user Visible Changes:

** emacspeak-emms.el:

Speech-enables EMMS --- an Emacs interface to multimedia players.


** emacspeak-cedet.el:

Speech-enables cedet-1.0

** emacspeak-nxml-mode.el:

Speech enabled NXML outliner.



Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 22.0 Additions And Changes:

Emacspeak 22.0 provides the following user level enhancements:

* user Visible Changes:
** emacspeak-madplay.el:

Emacspeak jukebox interface using madplay and alsa.


** emacspeak-alsaplayer.el:

Emacspeak jukebox using alsaplayer. Allows multiple  active
sessions 
and finer grained control over the output compared to
emacspeak-madplay

** Updated modeline feedback:

The feedback provided by emacspeak-speak-mode-line and
emacspeak-speak-minor-mode-line
has been updated.

** Beeps Via PC Speaker:

The tts servers now provide support for using the PC speaker to
produce beeps using the beep utility. This is useful in
conjunction with software TTS on sound hardware that  provides a
single wave output channel  under Linux.


** Personalities:

Emacspeak now defines voice personalities for all of the faces
defined in the various supported packages.
To see the correspondence between faces and personalities, run
emacs command M-x list-faces-display


Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 23.0 Additions And Changes:

Emacspeak 23.0 provides the following user level enhancements:

* user Visible Changes:

** Emacspeak-jabber.el:

Speech-enables Emacs Jabber.

** ALSA DMix Support For Outloud:

Emacspeak server library atcleci.cpp implements software TTS
output using ALSA.
See notes in directory server/linux-outloud  for usage tips.

** New SSH speech servers:

Speech servers ssh-dtk-exp and ssh-outloud let you run remote
speech servers without first having to manually start a listener
on port 2222.

** Atom Support:

emacspeak now supports Atom feeds.

** Updated WebSearch:

Search wizards have been updated to include PodCast searches.

** Additional Smart URL Templates:

 New URL Templates including Blog Search.
 ** emacspeak-python.el

Updated for python-mode available from Sourceforge.



Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 24.0 Additions And Changes:

Emacspeak 24.0 provides the following user level enhancements:

* user Visible Changes:

** emacspeak-muse:

Speech-enables emacs Muse

**emacspeak-ruby:

Speech-enables ruby-mode.


** emacspeak-m-player:

Updated for MPlayer release 1.0.

** emacspeak-sudoku.el:

Speech-enables sudoku.el --- the number placement SuDoku game.

** New Option: tts-strip-octals

Added new user option tts-strip-octals and associated toggle
dtk-strip-octals
to strip octals chars while speaking.

** emacspeak-keymap.el

Refactored keymaps and key-bindings.
New modules should use emacspeak-keymap-update.

** lisp/atom-blogger.el

Light-weight client for posting/editting blogger.com entries.


** emacspeak-atom-blogger:

Speech-enables atom-blogger
** voice-setup.el

Refactored voice locking code to enable better customization via
custom.

** User Contributed Patches:

*** patches to emacspeak-gnus.el, emacspeak-w3m.el from
Robert D. Crawford <rdc1x@comcast.net>

*** Patches to emacspeakk-wizards.el, emacspeak-apt*.el from
 Lukas Loehrer <loehrerl@gmx.net>

*** Multispeech Patches from
Igor B. Poretsky <master@goga.energo.ru>
and  Gilles Casse <gcasse@oralux.org>
 

Local variables:
 mode: outline
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 4262 2006-11-10 03:08:22Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 25.0 Additions And Changes:

Emacspeak 25.0 provides the following user level enhancements:

* user Visible Changes:

**  ssh-<tts_server> 

accepts hostnames of the form host:port.
This is useful for setting up ones firewall to allow ssh through
a non-standard port.

**  emacspeak-etable:

Speech-enables Emacs' table.el table editor.
Note that character echo in the table editor is painfully slow.


** emacspeak-org.el:

Completed speech-enabling org-mode, including its simplified
table editor (orgtbl).

**  emacspeak-wizards:

  - Added a wizard for generating a custom popup input buffer.
  -  Use this in emacspeak-org.
** Dropping Obsolete Extensions:

The following extensions have been made obsolete --- they can
still be found under lisp/obsolete in CVS.

  - emacspeak-hyperbole.el
  - emacspeak-oo-browser.el
  - emacspeak-kotl.el
  - emacspeak-wrolo.el
  - emacspeak-freeamp.el

** emacspeak-url-template:

  - Added a Google Video searcher

**  emacspeak-emms:

Updated to support emms-2.0.


Local variables:
 mode: org
 paragraph-separate: "[ ]*$"
end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 4262 2006-11-10 03:08:22Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 26.0 Additions And Changes:

Emacspeak 26.0 provides the following user level enhancements:

  1. Added support for ESpeak -- a freely available TTS engine.
  2. Added support for Ocropus -- a freely available OCR engine.
  3. Updated Websearch tools.
  4. Updated URL templates to enhance the Web Command Line.
  5. Support for Google Services like Blogger via package G-Client.
  6. Updated productivity tools in the wizards package.
  7. Fully tested against the upcoming Emacs 22.
  8. Better integration between W3 and W3M.


This release contains many user contributed patches including:

  - ESpeak patches from the Oralux project.
  - W3M support patches from RDC
  

Local variables:
 mode: org
end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 5219 2007-08-25 00:47:55Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 27.0 Additions And Changes:

Emacspeak 27.0 provides the following user level enhancements:


** emacspeak-web:

Emacspeak's Web browsing facilities have been refactored to
support W3 and W3M.
W3M support still needs an active maintainer.
But for now, all Web wizards are known to work with both W3 and
W3M.

**  emacspeak-ess: Speech-enables Emacs Statistics Interface

Package ess provides an Emacs interface to statistical packages
like R.

**  Header Line Support:
Emacspeak now supports Emacs22 header-line feature.
There is a new command `emacspeak-speak-header-line'
bound to C-e SPC  that 
speaks the Emacs header-line.
Expect newer modes to use this space for useful information.


** Windows Key Now Stops Speech:

As a convenience, the Windows key stops speech on the Linux
console.

**  Smarter mode-line output:

The Emacspeak command to speak the mode-line has been made
smarter and now uses voice-lock to hightlight the major mode.

**  Google Suggest

Emacspeak now supports minibuffer completion for Google Search
queries using Google Suggest.

**  Integrated Support For Google Services

Package G-Client --- a suite of Emacs tools to access Google
services such as Blogger, Calendar and friends is now fully
integrated into the Emacspeak distribution.

** emacspeak-moz: 

Package emacspeak-moz.el speech-enables package moz.el which is
part of the MozRepl Firefox extension.
Useful when developing or extending Web applications inside
Firefox.

** Emacspeak-webmarks:

Preliminary module that stores and retrieves bookmarks from Google.


Local variables:
 mode: org
end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 5575 2008-05-16 01:28:11Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 28.0 Additions And Changes:

Emacspeak 28.0 provides the following user level enhancements:
** emacspeak-webspace:

Module to automatically retrieve and speak useful information
from the Web at appropriate points in user interaction, e.g.,
when context-switching.

** amixer.el

Emacs binding to amixer, updated to work with ALSA 1.0.15 and
newer audio hardware.

** URL Tempaltes:

Updated url templates.

** emacspeak-webutils:

Additional Web utilties.

** emacspeak-wizards:

Updated collection of wizards.

** Unicode:

Minor improvements for working better with multibyte  charsets.

** GMail Wizards:

Search wizards for GMail

** G-Client Updates:

G-Client has  been updated to work better with Calendar.



Local variables:
 mode: org
end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 29.0 Additions And Changes:

Emacspeak 29.0 provides the following user level enhancements:

** Speech-enables proced:

Module emacspeak-proced speech-enables emacs 23's new Task
manager proced.
This replaces view-process-mode which no longer works in emacs
23.

** Integrates Unicode Support

Thanks to Lukas' work, Emacspeak now works with the unicode
support in Emacs 22 and Emacs 23.

** emacspeak-webspace

Module Webspace provides a suite of  efficient Web content access
tools.

** G-Client:

G-Client now includes support for many more Google Web APIs,
including WebSearch and BlogSearch.

** Initial Support For Google Docs:

There is now preliminary support for uploading and viewing
document lists from Google Docs in G-Client.




Local variables:
mode: org
end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 6054 2008-11-13 01:36:59Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 30 -- Emacspeak 32 User Visible Changes 

** BBC iPlayer 

Adds support to BBC  iPlayer

** emacspeka-url-templates:

Many new URL  templates

** emacspeak-google.el:

Adds support for Google power-search tools


** Emacspeak-ebooks.el:

Adds epub support

** Emacs 24 Support:

Adds support for Emacs 24

** Twitter:

Supports Twittering via tiwt.el


Emacspeak News --History Of User-Visible Changes
$Id: NEWS 6485 2010-05-11 00:26:49Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 33 -- Emacspeak 33 User Visible Changes 

** BBC iPlayer 

Adds support to BBC  iPlayer

** emacspeka-url-templates:

Many new URL  templates

** emacspeak-google.el:

Adds support for Google power-search tools


** Emacspeak-ebooks.el:

Adds epub support

** Emacs 24 Support:

Adds support for Emacs 24

** Twitter:

Supports Twittering via tiwt.el


Emacspeak News --History Of User-Visible Changes
$Id: NEWS 6485 2010-05-11 00:26:49Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 34 -- Emacspeak 34 User Visible Changes 

** Emacspeak-npr.el: NPR  API Client
One-click access to NPR  programming.

** emacspeak-url-templates:

Many new and updated URL  templates

** emacspeak-librivox.el: API  Client For Free Audio Books 


Search, locate and listen to free audio books from the comfort of
the audio desktop.

** emacspeak-bookshare.el: Bookshare API  Client

Bookshare subscribers now have one click access to all of
Bookshares Daisy EBooks.

** servers/mac: Support For Mac TTS

Preliminary support for the Mac OS  platform --- thanks to Bart
Bunting and David Tseng.

** Emacs 24 Support:

Adds support for Emacs 24



# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 7432 2011-11-23 03:51:49Z tv.raman.tv $
Author: T. V. Raman <raman@users.sf.net>

* Emacspeak 35 -- Emacspeak 35 User Visible Changes 
** emacspeak-magit.el:

Speech-enable magit -- a powerful mode for git interaction from Emacs.
** emacspeak-websearch.el:

More options for controlling Google search, including better
toolbelt integration.
New customize option emacspeak-websearch-google-results-only  ---
set to T by default ---
displays only results and the nav bar for Google search
results. You can easily repeat the search with additional search
toolbelt options via the commands available on C-t.
** emacspeak-epub.el: 
Preliminary epub support.
** emacspeak-woman.el:

Add emacspeak support to WoMan -- man pages in Emacs Lisp.

** emacspeak-dbus.el:

Add DBus support for Emacspeak.
When loaded, Emacspeak watches DBus signals for network
connect/disconnet.

** emacspeak-pianobar.el:
One-click access to Pandora Radio using pianobar.


** Emacspeak-npr.el: NPR  API Client
One-click access to NPR  programming.

** emacspeak-url-templates:

Many new and updated URL  templates

** emacspeak-librivox.el: API  Client For Free Audio Books 


Search, locate and listen to free audio books from the comfort of
the audio desktop.

** emacspeak-bookshare.el: Bookshare API  Client

Bookshare subscribers now have one click access to all of
Bookshares Daisy EBooks.

** servers/mac: Support For Mac TTS

Preliminary support for the Mac OS  platform --- thanks to Bart
Bunting and David Tseng.
** Mode-line Cleanups:

Emacspeak rendering  of the modeline has been cleaned up to be
more succint.
** Emacs 24 Support:


Adds support for Emacs 24



# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 7704 2012-04-19 15:53:22Z tv.raman.tv $
Author: T. V. Raman <tv.raman.tv@gmail.com>

* Emacspeak 36 -- Emacspeak 36 User Visible Changes 


** emacspeak-epub.el: Full EPub Support
Implements epub support including an interactive bookshelf.
EPub books on the bookshelf can be read directly without
unpacking.
** emacspeak-websearch.el:
Updated websearch support for new search innovations on the Web.

** emacspeak-magit.el:
Speech-enables magit for fluent git interaction.

** emacspeak-ftf.el:
Speech-enable package find-things-fast.

** TTS:

Fixed bug in language switching and bound language switching
commands in dtk-keymap.



** emacspeak-url-templates.el
Updated url templates for faster Web access.



** SSH Port Forwarding And Remote TTS:

etc/remote-tts-setup: Added remote-tts sample for configuring remote TTS via ssh port
forwarding.

** plain-voices.el

Implements a default  interface for use with  unsupported  TTS
engines.


# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 8049 2012-12-21 19:06:10Z tv.raman.tv $
Author: T. V. Raman <tv.raman.tv@gmail.com>

* Emacspeak 37 -- Emacspeak 37 User Visible Changes 


** emacspeak-js2.el:

Updated support for JS2 mode.

** emacspeak-kite:

Speech-enables Module Kite which enables connecting to   the
Chrome debugger for live-debugging Web applications.

** Emacs 23: 

Tested with stock Emacs 23 on Lucid and Precise.

** Emacs 24.3:

Updated to work with Emacs from tip of tree.
# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id: NEWS 8318 2013-05-03 22:42:11Z tv.raman.tv $
Author: T. V. Raman <tv.raman.tv@gmail.com>

* Emacspeak 38 -- Emacspeak 38 User Visible Changes 

** Google Maps API V2 gmaps.el:
Find places, get directions using  Google Maps V2 API.

** Eclipse Integration:

Preliminary support for emacs-eclim --- lets you interface with
a headless Eclipse. (Work In Progress).

** Improved Semantic Support

Extensions for integrating with the built-in CEDET/Semantic
support.

** Speech-Enables GTags:

Emacspeak now speech-enables package gtags.el for use with GNU
global and idutils.
** Emacs 24.3:

Updated to work with Emacs from tip of tree.

** Updated Advice Implementation:

Emacspeak has been tested to work with the updated advice
implementation in the Emacs codebase. (Thanks Stefan!)

# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <tv.raman.tv@gmail.com>

* Emacspeak 39 -- Emacspeak 39 User Visible Changes 


** emacspeak-ein: 

Speech-enable IPython Notebook interaction via module EIN.


** Emacs 24.3:

Updated Emacspeak internals to better leverage Emacs 24.3.

** emacspeak-jss:

Speech-enable Web browser integration (chrome/firefox) via
 JSS.

** emacspeak-url-templates:

Updated url templates for efficient Web interaction.

** emacspeak-websearch.el
Updated search wizards.


** gmaps.el:

updated Google Maps V2 implementation.






# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <tv.raman.tv@gmail.com>

* Emacspeak 40 -- Emacspeak 40 User Visible Changes 


** Emacs 24.4:
Supports all new features in Emacs 24.4.
** Emacs EWW:

Full support for the newly integrated EWW in emacs 24.4.
Module emacspeak-eww adds many enhancements to the EWW Web
browser that are useful for the Emacspeak user -- including
document filtering, element navigation and much more.

** emacspeak-url-templates:

Updated url templates for efficient Web interaction.

** emacspeak-websearch.el
Updated search wizards.

** gmaps.el:

updated Google Maps V2 implementation.


** Feed Browser

Updated support for implementing most of Google Reader
functionality within Emacspeak. 

** Freebase Search:

Uses FreeBase API  for providing knowledge card searches.


# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <tv.raman.tv@gmail.com>

* Emacspeak 41 -- Emacspeak 40 User Visible Changes 

** Emacspeak And Company

Module [[http://emacspeak.blogspot.com/2014/05/emacspeak-and-company-complete-anything.html][Emacspeak-Company]] adds a Complete-Anything Company front-end for
emacspeak.  Works with Company extensions including YCM
(YouCompleteMe) support.

** EWW Web Support: Emacspeak-eww

Enhanced support for EWW, including structured navigation.

** Emacspeak And 2048:

Speech-enables the popular 2048 Game.

** Emacspeak At 20:

Includes a detailed article reviewing   Emacspeak over 20 years
of development, along with a high-level architectural overview
for the various design decisions that have gone into the system.

** Google Search Tools:

Includes improved support for Google Search power-tools, as well
as one-click access to Google-Lite, a lighter-weight search
interface.

** Emacs 24.4 Support

Fully supports the newly released Emacs 24.4.

** Updated URL Templates And Search Wizards 

Updated, enhanced URL templates and search wizards.


# local variables:
# mode: org
# end:
Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 42 -- Emacspeak 42 User Visible Changes

** Updated Info Manual 

The code that auto-generates documentation for Emacspeak packages has
been completely re-written.
** Emacspeak And SoX

Emacspeak now uses the SoX package if available to produce tones. 
Emacspeak previously used either /usr/bin/beep or the alternative provided by emacspeak/etc/beep (if installed to /usr/bin) to produce tones.
This also means that we no longer need to install package siggen to get tones.
  
** Emacspeak Now Requires Emacs 24.1 


Emacspeak 42 now requires Emacs 24.1 or later.
Specifically, you need an Emacs that is built with libxml2 support for using packages like emacspeak-bookshare.

** emacspeak-elfeed.el:

Speech-enables package elfeed, a powerful feed-reader for Emacs.

** CSound Generated 3D Theme

Emacspeak 42 includes a 3D auditory icon theme generated using CSound.

** sox.el Audacious --- Audio WorkBench For Emacspeak 

Module sox.el implements a light-weight Emacs UI to create Audacious --- An Audio Workbench for  the Emacspeak Desktop.

** emacspeak-m-player.el

Provides a large number of reverb presets using  Ladspa plugin tap-reverb.

** Directory realaudio renamed to  media 

Directory realaudio -- the directory containing streaming media presets has now been renamed to _media_.
Realaudio is now legacy and all code in Emacspeak had been updated a few years ago to use _mplayer_ to play media streams; this renaming is purely cosmetic.
Also overhauled set of links in media directory.
Finally, emacspeak-multimedia defaults to prompting  for shortcuts in media/radio unless the current directory itself contains media.

** Tune-In: Search And Browse Radio Stations

emacspeak-url-template now defines templates for searching and browsing tune-in radio stations. Interactive commands 
emacspeak-wizards-tune-in-radio-browse and emacspeak-wizards-tune-in-radio-search can be bound to convenient shortcut keys to invoke this functionality.

** emacspeak-markdown.el:

Speech-enable markdown-mode.

** realaudio/radio 

Updated all BBC  playlists to mp3/m3u files 
Note that Windows Media (.asx) is no longer supported by the BBC  after Dec 31, 2014.

** emacspeak-xref.el: Speech-Enable xref.el  

Navigating cross-references in source code.


** emacspeak-package.el

Enhancements for package.el

** EWW Web Support: Emacspeak-eww
   
Enhanced support for EWW, including structured navigation.

** Emacs 25 Support

Speech-enables Emacs 25 features.


** AMark Support For M-Player

You can now mark positions in  an mplayer stream and return to it
later.
This brings the same functionality to emacspeak-m-player that was
formerly available in emacspeak-alsaplayer 

** Better Support For Display  Property 

Handles more cases of property _display_.


** Logging Support For TTS Servers 

Updated support for logging output from TTS servers -- see  http://emacspeak.blogspot.com/2015/04/howto-log-speech-server-output-to-aid.html
#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes
$Id$
Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 43 -- Emacspeak 43 User Visible Changes
** Multiple TTS Streams:

Emacspeak now uses a separate TTS instance for its notification stream.

** Sound Themes:

Reorganized sound themes. The original default-8k sounds have
been converted to 44.1k stereo and renamed =classic=.
Emacspeak now defaults to theme =3d= out of the gox.
** emacspeak-eww.el:

Added interactive command =emacspeak-eww-phantom= that retrieves using PhantomJS.
Useful for viewing AngularJS powered sites like http://golang.org/tour using EWW.
** emacspeak-org.el:

Exported command for using org-capture for capturing hyperlinks to personalized  hotlists. 

** emacspeak-info.el:

updated Info support.
** emacspeak-helm.el:

Early speech-enable support  for helm and its related packages.

** emacspeak-yasnippet.el:

Speech-enables package yasnippet.

** Emacspeak-Muggles:

Keyboard conveniences implemented using package Hydra.

** emacspeak-lua.el:

Speech-enable lua-mode.

** emacspeak-projectile:

Speech-Enable project management utility projectile.el.

** XBackLight:

Module xbacklight.el  provides an Emacs front-end to XBackLight for controlling display brightness on laptops and  exposes it using a light-weight Hydra.

** emacspeak-slime:

Speech-enables package SLIME --- Superior Lisp Interaction Mode  --- a powerful IDE for Common Lisp and Clojure.

** emacspeak-librivox:
Implements the new Librivox API.
Search, browse download and play book streams. 


** emacspeak-npr:

Updated to API 0.94.
Commands for browsing, searching and playing present and past shows.

** emacspeak-bbc: 
Updated implementation to reflect that older iplayer
convertor no longer works.  Emacspeak-bbc now plays links through
Chrome or by using command get_iplayer to stream via mplayer.
Complements download functionality available via Emacs package iplayer.

** emacspeak-eww:

Better filtering: filter by elements, class, roles and attributes.
History navigating through nested filter invocations works.
** emacspeak-paradox:

Speech-enables paradox, an alternative package-manager UI.

** emacspeak-url-templates:

Updated templates.

** emacspeak-wizards:

Code cleanup and updates.
#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 44 -- Emacspeak 44 User Visible Changes

** Multiple Media Players 

Module [[http://emacspeak.blogspot.com/2015/11/listening-to-multiple-media-streams-on.html][emacspeak-m-player]] can now launch and control multiple media
player instances. Use C-e;\ to persist the current m-player session; Use a
prefix arg to give that session a name.

** Panning In MPlayer

Module emacspeak-m-player adds support for panning audio from the currently
playing stream from left to right.

** Ladspa And MPlayer

Module emacspeak-m-player  now  provides Ladspa integration with more
presets including an autopan+pinknoise setting suitable for
relaxation.

** Spatialized Chimes Theme 

Sound theme pan-chimes provides a spatialized theme generated from the
original =chimes= theme.

** Ladspa Workbench

Module =ladspa.el= implements a Ladspa workbench for the Emacspeak
desktop. 
It is integrated with =MPlayer=. 

**  Speech-Enabled ElPY:

Module =emacspeak-elpy.el= speech-enables package =ElPY= --- a Python IDE.

** SoundScapes:

[[http://emacspeak.blogspot.com/2015/11/listening-to-multiple-media-streams-on][Soundscapes]] --- a continuous loop of softly playing sound-effects ---
can be automatically turned on and off to match the user's current
activity. Module ~soundscape.el~ implements SoundScapes using Python
package ~boodler~ --- see [[http://boodler.org]].


** Additional Emacspeak Soundscapes

Directory emacspeak/scapes includes Soundscapes developed for use on
the Audio Desktop.
These scapes will not be distributed as part of Emacspeak due to their
size --- they can be obtained from the GitHub repository.

A release snapshot can be found at
https://github.com/tvraman/emacspeak/releases/download/soundscape-1.1/soundscapes-1.1.tar.bz2

** Using CrossFeed With ALSA

File ~scapes/ladspa-asoundrc~ defines *crossfeed*, *reverb_crossfeed*
and *tap_reverb* virtual devices that can be used to enable enhanced
headphones listening --- works particularly well for soundscapes.

** MPlayer, HRTF And OpenAL

Module emacspeak-m-player provides a new command for invoking
~MPlayer~ with *OpenAL* as the output driver. This provides *HRTF* for
a better listening experience.

** Helm Support:

Module emacspeak-helm.el has been enhanced to provide better coverage of Helm use-cases.


** Browsing/Choosing Completions From Within The Minibuffer:

You can now use =C-n= and =C-p=  in the minibuffer to move through
displayed completion and =C-c= to select the current completion. 


* Knowledge Graph Search

Module ~emacspeak-webspace~ now provides an early implementation of
Google Knowledge Graph search.
#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 45 -- Emacspeak 45 User Visible Changes
** Updated Slime Support 

Module ~emacspeak-slime~ has been updated to speech-enable more of
the Superior Lisp Interaction Mode (slime).

** GPG Integration In Emacs:

Speech-enables package ~epa~ for GPG integration. Also supports the
use of module ~pinentry~ with ~gpg-agent~
with newer versions of ~gpg-agent~.

** Emacs Screen  Session Manager:

Module ~emacspeak-elscreen~ speech-enables package ~elscreen~.


** Librivox Client:

Added completion support for browsing Librivox by genre. All searches
now accept an interactive prefix arg for getting next set of results.

** Switching Among Related Buffers:
Module ~emacspeak-related~ speech-enables package  ~related~ from Melpa.

** RST Text Mode:

Module ~emacspeak-rst~ speech-enables ~rst~ mode.


** Mode-Line Info:

Emacspeak's spoken mode-line includes version-control state for files
under VC.

** Invoke Emacspeak M-Player From Outside Emacs

Simple shell-script etc/emplay  can hand off a media URL to Emacspeak
from outside Emacs.

** Updated sound Themes 

Sound themes have been updated  and tweaked.

** Visual Line Mode

Emacspeak now   supports   ~visual_line-mode~

** Entertain: Threes
Speech-enables the simple puzzle game ~threes~.


** Ciel: Clear Inside, Copy Inside 

Package ~ciel~ provides an implementation of VIM's clear/copy
inside. Module ~emacspeak-ciel~ speech-enables package ~ciel~.

** Google News:
Added URL Templates for Google Category News and Google Regional News.


** Speech-Enable Package Jade
Package ~jade~ implements a Javacript IDE that works alongside
packages like ~js2-mode~.
Module emacspeak-jade.el speech-enables package Jade for interactively
debugging Webapps in  browsers like Chrome.


** Speech-Enable Tide:

Package ~tide~ implements a Typescript IDE in Emacs. Module
~emacspeak-tide~ speech-enables package ~tide~.

** SoX And Binaural Beats:
Module ~sox-gen~ now provides the ability to generate a variety of
binaural tones and beats --- this is designed for use with headphones for
brainwave entrainment.


** Speech-Enabled Elisp-Refs

Module ~emacspeak-elisp-refs~ speech-enables package ~elisp-refs~ ---
a powerful package for jumping to callers of functions and macros in
Emacs Lisp.

** Bootstrap Script 

The GitHub repo now contains  [[https://gist.github.com/08046e9befd9755dc05282ae5c8d32f5][etc/bootstrap.sh]] ---
a  script for  bootstrapping into Emacspeak on a well-configured Linux system.

#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 46 -- Emacspeak 46 User Visible Changes

This version requires Emacs 25.1 or later.

** Bash Utils 

Directory _bash-utils_ contains a collection of useful Bash utilities
for use with Emacspeak --- see [[https://github.com/tvraman/emacspeak/blob/master/bash-utils/readme.org#L1][bash-utils/Readme.org]].

** Emacspeak Info Pages

There is a new command _emacspeak-open-info_ bound to _C-e TAB_
that opens the Emacspeak online manual for the  version of Emacspeak
in use. Command ~emacspeak-info-wizard~ bound to _C-h TAB_ implements
an Info Wizard that   jumps directly to an Info Node using completion
--- this looks at *all* installed info pages on the system.


** Managing Shell Buffers

Module _emacspeak-wizards_ provides a set of shell-management commands  
that make it easy to create shell buffers specific to projects and
moving among them. See command _emacspeak-wizards-shell-by-key_ and
customization variable _emacspeak-wizards-project-shells_.
** EWW And EBooks:

Command  _emacspeak-epub-eww_ now loads Emacspeak's directory-specific
settings file if found on the epub-file path.

** Installation:

The install rule in the Makefile is deprecated and has been updated to
display simple installation instructions. 
To install a specific version of Emacspeak:
  1. Download and unpack the latest tarball.
  2. make config && make to build Emacspeak
  3. Optional: make espeak to build espeak support.
  4. Optional: make outloud to build ViaVoice outloud support.
  5.  copy the resulting  emacspeak directory to the install location.

** Updated DBus Integration 

Module ~emacspeak-dbus~ --- Emacspeak's DBus Integration --- has been
updated  and now includes support for screen-lock, sleep/resume, and  NM.

** Outloud is Easier To Install On 64-Bit Systems 

The ViaVoice Outloud server is now much easier to install on 64-bit
systems, thanks to
[[http://emacspeak.blogspot.com/2017/01/fun-with-tts-voxin-and-ladspa.html][Voxin 1.6]]. With this,  the Emacspeak speech-server works with the
default 64-bit  _tclsh_ executable.
The installed Emacspeak requires _Voxin 1.6_, make sure to install
that upgrade first if you  have an  older Voxin installation.

** Audio-formatted Mathematics 

Module ~emacspeak-maths~ uses _MathJax_ with _Speech-Rule-Engine_
implemented using *NodeJS* to provide audio-formatted mathematics.
** Speech-Enabled Elisp-Refs

Module _emacspeak-elisp-refs_ speech-enables package _elisp-refs_, a
powerful tool for semantic searches over elisp source code.

** Updated C/C++ Mode Support 

Module ~emacspeak-c.el~ has been updated to support new functionality
in ~cc-mode~.

** Updated ProcEd Support

Module ~emacspeak-proced~ has been updated.

** Updated EShell Support

Module ~eshell~ has been updated.

** Speach-Enabled Clojure 


Module ~emacspeak-clojure~ speech-enables ~clojure-mode~.
** Speech-Enabled Geiser For Scheme Interaction 

Package ~geiser~ for Scheme interaction is  speech-enabled
by module ~emacspeak-geiser.el~.


** Speech-Enabled Cider

Cider, The Clojure IDE that
Rocks now talks ---Module ~emacspeak-cider~ speech-enables ~cider~.
** Speech-Enable Racket 

Module ~emacspeak-racket~ speech-enables ~racket-mode~.
** Updated SoX-Gen

Module ~sox-gen~ has been updated with support for Binaural Beats
along with predefined Binaural effects and effect sequences.

** IHeart Radio

Module _emacspeak-wizards_ now  provides ~emacspeak-wizards-iheart~
--- this uses ~iheart-url~ to play IHeart Radio stations.
** Speech-Enabled Projectile 

Module _emacspeak-projectile.el_ speech-enables package _projectile_
for software project management.

** Notifications 

Emacspeak now records any *Notifications* produced by
_dtk-notifyspeak_ and friends in a special ~*Notifications*~ buffer
that is setup  like Emacs' built-in ~*Messages*~ buffer.
-- this buffer can be displayed using _C-h T_.

** Flycheck And Interactive Correction 

Flycheck support has been updated by speech-enabling module
~flycheck-correct~.
Corrections can be accessed through one of three supported styles ---
~ido~, ~popup~ and ~helm~.
#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 47 -- Emacspeak 47 User Visible Changes
This version requires Emacs-25.1 or later.

** speech-Enable Extensible VI Layer --- EVIL

Module ~emacspeak-evil~ speech-enables Emacs' Extensible VI Layer.

** Bookshare: Support Additional Download Types
Module ~emacspeak-bookshare~ has been updated to support new download
types from Bookshare such as DTB Audio and Epub3.

** Emacspeak EWW Marks:

Module ~emacspeak-eww~ implements ~emacspeak-eww-marks~ --- persistent
bookmarks for use when reding  Daisy (Bookshare) and Epub2 ebooks.

**  Speech-Enable VDiff --- A Diff tool.

Module ~emacspeak-vdiff~ speech-enables package ~vdiff~ --- a
diff-tool with some advantages over  ~ediff~.
** voice-setup.el

New interactive command ~voice-setup-describe-personality~ (bound to
_C-h C-v_) is the voice equivalent of Emacs' built-in 
~describe-face~.  Emacspeak binds ~describe-face~ to _C-h /_.
** Speech-enable Package shx ---Shell Extras For Emacs

Module ~emacspeak-shx~ speech-enables package ~shx~ from melpa.
This provides useful extensions in shell buffers that mirror
functionality present in eshell.
** IDO Support 
Module ~emacspeak-ido~ has been updated to improve and simplify ~ido~
support.

** New Command To Toggle Autospeak Or Inaudible 

New command _emacspeak-toggle-inaudible-or-comint-autospeak_ bound to
_C-e C-q_
toggles comint autospeak in comint buffers; otherwise calls
_voice-setup-toggle-silence-personality_ --- command
_voice-setup-toggle-silence-personality_
is still available on _C-e M-q_ in all buffers.
** Implemented NOAA Weather API

Command _emacspeak-wizards-noaa-weather_ implements a light-weight
client for the NOAA Weather API.
** Speech-Enable Typographic Editting Support

Module ~emacspeak-typo~ speech-enables package ~typo~.
** Speech-Enable Package Origami 

Module ~emacspeak-origami~ speech-enables package ~origami~.
** Magit  Enhancements 

Module ~emacspeak-magit~ speech-enables ~magit-blame~.

** Overlay Displays 

Emacs modules can annotate the visual display with overlay properties
display, before-string and/or after-string.
Command ~emacspeak-speak-line~ (C-e l) indicates the presence of these
properties with auditory icon “more” — these properties can  be spoken
using command ~emacspeak-speak-overlay-properties~.

** Speech-Enable RipGrep Front-End:

Module ~emacspeak-rg~ speech-enables package ~rg~, an Emacs front-end
to RipGrep.

** Obsolete W3m Support 

W3M is no longer supported. Once Emacs 26 is released, W3 support will
be removed as well.
** Added SmartParen Support

Module ~emacspeak-smartparens~ speech-enables package ~smartparens~.

** Playing Minesweeper In Emacspeak

Package ~mines~ from ELPA implements the Minesweeper game for Emacs
--- module ~emacspeak-mines~ speech-enables this game.


** DMacro Support Is Obsolete 

This used to be my favorite template filling package in the 90's but
I've not used  it in over 15 years. 
#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 48 -- Emacspeak 48 User Visible Changes
This version requires Emacs-25.1 or later.

** Emacs 26 Support 

Emacspeak 48 supports  new functionality  introduced in the upcoming
Emacs 26.1.


** Locate And Play Media 

Command ~emacspeak-m-player-locate-media~ bound to _Super-l_ to find
and play local media.
** Updated EPub Support 

Module ~emacspeak-epub~ support for Gutenberg has been updated.

** Updated Outloud TTS Server

The outloud server has been updated to work around some ALSA issues in
newer versions of Debian.

** Espeak-NG And Emacspeak

On newer Debian systems, espeak users are recommended to move to
espeak-ng by installing the corresponding espeak-ng and espeak
compatibility packages. This avoids portaudio issues, and also brings
all of the power of alsa --- including applying ladspa effects to TTS.

** Emacspeak Prompts 

Emacspeak now includes an ~emacspeak-prompts~ module that provides
high-quality spoken prompts as MP3 files.

** DBus Integration

Module ~emacspeak-dbus~ now provides auditory feedback when waking up
and unlocking ~gnome-screensaver~ via DBus integration.
It also provides  interactive command  ~emacspeak-dbus-lock-screen~
for locking the screen.
Support for package ~mpg123.el~ has been removed.

** MPlayer And Equalizer Presets 

Module ~emacspeak-m-player~ now implements a  set of equalizer presets
that can be selected via _e_ in MPlayer interaction.

** VLC

New module ~emacspeak-vlc~ implements  light-weight VLC interaction.

** Obsolete: emacspeak-mpg123.el

** Removing W3 Support 

Browser emacs-w3 no longer works with Emacs 26, and consequently,
module ~emacspeak-w3~ has been obsoleted, and all references to
emacs-w3 removed from the Emacspeak codebase.
#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 49 -- Emacspeak 49 User Visible Changes
This version requires Emacs-26.1 or later.
** Speech-Enables Sage Interaction 

Module ~emacspeak-sage~ speech-enables package ~sage-shell-mode~.

** Updated Folding Support

Module ~emacspeak-folding~ has been updated to support package
~folding~ from Melpa.
The old version of ~folding~ is now no longer supported --- that
version dated back to the early 90's.


** Speech-Enable Package Lispy For Rapid Lisp Editing 

Module ~emacspeak-lispy~ speech-enables package ~lispy~ available on Melpa.
** Updated Bookshare Support 

Bookshare support has been updated to cover additional download
formats. The module  now supports Emacs' ~auth-source~ integration for
managing passwords.

** Updated Magit Support

Module  emacspeak-magit has been updated for the latest Magit release.
** Improved DBus Support 

Module emacspeak-dbus now implements handlers for many more System
DBus events.

** Updated EWW Support

Module emacspeak-eww has been updated with many more EWW enhancements.

#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 50 -- Emacspeak 50 User Visible Changes
This version requires Emacs-26.1 or later.

** Bookshare

Load emacspeak's directory-specific settings when opening Bookshare
books using EWW.

** Speech-Enable IEdit

Module ~emacspeak-iedit~ speech-enables package ~iedit~ for editing
multiple occurrences.

** ESpeak

The ESpeak server now builds on the Mac as well as Linux;
consequently,  directory ~linux-espeak~ has been renamed to ~native-espeak~.

** Forge Support

Module ~emacspeak-forge~ speech-enables package ~forge~, a magit
companion for working with Git Forges like  Github and Gitlab.

** Speech-Enable Transient 

Transient is a new Hydra equivalent used by ~Magit~. Module
~emacspeak-transient~ speech-enables ~transient~.

** Navi-Mode

Module ~emacspeak-navi-mode.el~ speech-enables ~navi-mode~.


** EWW And Smart Tabs 

Module ~emacspeak-eww~ implements /Smart Tabs/ for EWW, these let you
persist and open  a URL with a single key-stroke. See command
_emacspeak-eww-smart-tabs_ for usage instructions.

** Github Explorer 

Module ~emacspeak-gh-explorer~ speech-enables package ~github-explorer~.
#    -*- mode: org -*-

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 51 -- Emacspeak 51 User Visible Changes
This version requires Emacs-26.1 or later.

** Speech-Enable Deadgrep

Module ~emacspeak-deadgrep~ speech-enables ~deadgrep~, a front-end for
using ~ripgrep~.

** Speech-Enabled Nov.el 

Module ~emacspeak-nov~ speech-enables ~nov.el~, an EPub reader for
Emacs.

** Stock Quotes From IEXCloud 

The stock quote wizard now uses the IEXCloud API, and needs an API key
from IEXCloud.

** Speech-Enabled Emacs Debugger

Finally:-) Shows how rarely one needs to debug ELisp:-)


** Speech-Enable Package ~dumb-jump~

Module ~emacspeak-dumb-jump~ speech-enables package ~dumb-jump~ for
code navigation.

** Speech-Enable Tabs 

Speech-enable ~tab-bar~ as found in Emacs  27.
#    -*- mode: org -*-
'The enjoyment of one's tools is an essential ingredient of successful
work.' -- Donald E. Knuth

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 52 --- Emacspeak 52 User Visible Changes

This version requires Emacs-26.1 or later.

** Emacs Chess 

Module ~emacspeak-chess~ speech-enables package Chess with full
audio-formatting support, and works consistently across different
Chess Display types.


** Vuiet --- Music Player And Explorer 

Module ~emacspeak-vuiet~ speech-enables ~vuiet~,  a package that
implements a last.fm powered music explorer and player.

** Hacker News

Smart URL templates for Hacker News Frontpage and Hacker News search feeds.

** Emacs IPython Notebooks

Module ~emacspeak-ein~ has been refreshed to speech-enable the latest
version of package ~ein~.

** Sage Notebooks 

Sage Notebooks from Sage version 9 now work well with Emacs Ipython
Notebooks and Emacspeak.


** Mathematics On The Emacspeak Desktop 

Module ~emacspeak-maths~ has been updated with the latest release of
the ~Speech Rules Engine~ (SRE) and now uses ~mathjax@3~ --- Thanks Volker!
#    -*- mode: org -*-
The enjoyment of one's tools is an essential ingredient of successful work.
 -- Donald E. Knuth

Emacspeak News --History Of User-Visible Changes

Author: T. V. Raman <tv.raman.tv@gmail.com>


* Emacspeak 53 --- Emacspeak 53 User Visible Changes

This version requires Emacs-27.1 or later.
** Add CTL-Z As A New Prefix Keymap
By default Emacs uses _C-z_ to command _suspend-frame_.
Emacspeak now redefines _C-z_ to be a prefix keymap, and binds command
_suspend-frame_ to key _C-z z_.
This now enables one more complete keymap for binding additional
convenience commands.
If you wish to restore the default Emacs behavior, bind _C-z_ to
command _suspend-frame_ after Emacspeak has been loaded.

** Speech-Enabled Haskell Mode

Module ~emacspeak-haskell~ speech-enables package ~haskell-mode~.
** Speech-Enable VTerm

Package ~vterm~ is a new terminal emulator that uses an underlying
native module to communicate to the terminal, resulting in
faster/better terminal emulation that Emacs' native-elisp ~term.el~.
Module ~emacspeak-vterm~ contains an early attempt at speech-enabling
this terminal.

** Speech-Enable Package Syslog

Speech-enable ~syslog~ for working with log files.
This replaces the now very old ~analog~ in my regular work-flow.

** Speech-enable Package ~hide-lines~

A light-weight package for hide/show matching lines.

** Speech-Enable Racer

Module ~emacspeak-racer~ speech-enables ~racer~ for Rust documentation
and completion.
** Speech-Enable Eglot


Module ~emacspeak-eglot~ speech-enables ~eglot~ for lsp  support.
** speech-Enable project.el

Module ~emacspeak-project~ speech-enables package ~project~.


** Speech-Enable rust-mode

Module ~emacspeak-rust-mode~ speech-enables ~rust-mode~.


** Speech-Enable YTEl

Module ~emacspeak-ytel~ speech-enables package ~ytel~, an Elisp API
bridge to YT.

** Emacspeak-sdcv --- speech-Enable Stardict Interaction


Module ~emacspeak-sdcv~ speech-enables emacs package ~sdcv~ to enable
interaction with Stardict dictionaries.


** Module ~emacspeak-tdtd~ Is Obsolete 

Package ~tdtd~ which supported editing of SGML DTDs has disappeared
from its source location, making module ~emacspeak-tdtd~ obsolete.

** Module  ~emacspeak-kite~ Is Obsolete.

Package ~kite~ is obsolete --- use Indium for live debugging of Web

** Module  ~emacspeak-jss~ Is Obsolete.

Package ~jss~ is obsolete --- use Indium for live debugging of Web
And NodeJS Apps
** Stripped Down ~emacspeak-bbc~

The BBC Backstage API is obsolete and long gone; this is reflected in
a lighter-weight, stripped down ~emacspeak-bbc~.
** G-Client Modules Merged Into Emacs/lisp

Modules from sub-package ~g-client~ that are still in use have been
merged into the _emacspeak/lisp_ directory.

** Module ~emacspeak-xml-shell~ Is Obsolete

Long live XML!

** Module ~emacspeak-vlc~ Is Obsolete

It was never completed and hasn't been used, marking it obsolete.
This also obsoletes the wizards pertaining to ~IHeart Radio~.


** Emacspeak Start-Up Has Been Optimized 

Emacspeak takes advantage of features like  ~make-thread~ in Emacs 26
and later to optimize Emacspeak's start-up time.

** Auth-Source And EWW

If you use ~auth-source~ and its various supported backends to manage
authentication information, you can now use _C-RET_
(~emacspeak-eww-fillin-form-field~) to insert the user-name and/or
password  into the input field.


** Module ~emacspeak-npr~ Is Marked Obsolete 


The API used by module ~emacspeak-npr~ has been retired by  [[npr.org]] in
favor of their newer NPR-One API. Module ~emacspeak-npr~ is therefore
obsolete and no longer supported.
